# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file '/Users/leonidwolsky/Documents/Bachelorarbeit/EnPEn/ec-enpenl/py/GUI.ui'
#
# Created by: PyQt5 UI code generator 5.15.4
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_Window(object):
    def setupUi(self, Window):
        Window.setObjectName("Window")
        Window.resize(826, 664)
        Window.setAutoFillBackground(True)
        Window.setIconSize(QtCore.QSize(48, 24))
        Window.setTabShape(QtWidgets.QTabWidget.Rounded)
        self.centralwidget = QtWidgets.QWidget(Window)
        self.centralwidget.setObjectName("centralwidget")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.centralwidget)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        spacerItem = QtWidgets.QSpacerItem(28, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.gridLayout.addItem(spacerItem, 1, 7, 1, 1)
        self.max_label = QtWidgets.QLabel(self.centralwidget)
        self.max_label.setObjectName("max_label")
        self.gridLayout.addWidget(self.max_label, 1, 6, 1, 1)
        self.verticalLayout = QtWidgets.QVBoxLayout()
        self.verticalLayout.setObjectName("verticalLayout")
        self.conc_capt = QtWidgets.QLabel(self.centralwidget)
        self.conc_capt.setObjectName("conc_capt")
        self.verticalLayout.addWidget(self.conc_capt)
        self.conc_view_lst = QtWidgets.QListWidget(self.centralwidget)
        self.conc_view_lst.setObjectName("conc_view_lst")
        self.verticalLayout.addWidget(self.conc_view_lst)
        self.flux_capt = QtWidgets.QLabel(self.centralwidget)
        self.flux_capt.setObjectName("flux_capt")
        self.verticalLayout.addWidget(self.flux_capt)
        self.flux_view_lst = QtWidgets.QListWidget(self.centralwidget)
        self.flux_view_lst.setObjectName("flux_view_lst")
        self.verticalLayout.addWidget(self.flux_view_lst)
        self.gridLayout.addLayout(self.verticalLayout, 0, 8, 2, 1)
        self.slider = QtWidgets.QSlider(self.centralwidget)
        self.slider.setMinimumSize(QtCore.QSize(300, 0))
        self.slider.setMaximumSize(QtCore.QSize(214, 16777215))
        self.slider.setOrientation(QtCore.Qt.Horizontal)
        self.slider.setObjectName("slider")
        self.gridLayout.addWidget(self.slider, 1, 5, 1, 1)
        self.label = QtWidgets.QLabel(self.centralwidget)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 1, 1, 1, 1)
        self.mplwindow = QtWidgets.QWidget(self.centralwidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.mplwindow.sizePolicy().hasHeightForWidth())
        self.mplwindow.setSizePolicy(sizePolicy)
        self.mplwindow.setMinimumSize(QtCore.QSize(527, 527))
        self.mplwindow.setAutoFillBackground(True)
        self.mplwindow.setObjectName("mplwindow")
        self.mplvl = QtWidgets.QVBoxLayout(self.mplwindow)
        self.mplvl.setSizeConstraint(QtWidgets.QLayout.SetMaximumSize)
        self.mplvl.setObjectName("mplvl")
        self.gridLayout.addWidget(self.mplwindow, 0, 0, 1, 8)
        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.gridLayout.addItem(spacerItem1, 1, 0, 1, 1)
        self.num_line = QtWidgets.QLineEdit(self.centralwidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.num_line.sizePolicy().hasHeightForWidth())
        self.num_line.setSizePolicy(sizePolicy)
        self.num_line.setMaximumSize(QtCore.QSize(50, 16777215))
        self.num_line.setLayoutDirection(QtCore.Qt.RightToLeft)
        self.num_line.setAutoFillBackground(False)
        self.num_line.setStyleSheet(" background-color: rgba(0, 0, 0, 0);")
        self.num_line.setFrame(True)
        self.num_line.setReadOnly(False)
        self.num_line.setClearButtonEnabled(False)
        self.num_line.setObjectName("num_line")
        self.gridLayout.addWidget(self.num_line, 1, 2, 1, 1)
        self.set_btn = QtWidgets.QPushButton(self.centralwidget)
        self.set_btn.setMinimumSize(QtCore.QSize(40, 0))
        self.set_btn.setMaximumSize(QtCore.QSize(16777215, 16777215))
        self.set_btn.setObjectName("set_btn")
        self.gridLayout.addWidget(self.set_btn, 1, 3, 1, 1)
        self.min_label = QtWidgets.QLabel(self.centralwidget)
        self.min_label.setObjectName("min_label")
        self.gridLayout.addWidget(self.min_label, 1, 4, 1, 1)
        self.gridLayout_2.addLayout(self.gridLayout, 0, 0, 1, 1)
        Window.setCentralWidget(self.centralwidget)
        self.statusbar = QtWidgets.QStatusBar(Window)
        self.statusbar.setObjectName("statusbar")
        Window.setStatusBar(self.statusbar)

        self.retranslateUi(Window)
        QtCore.QMetaObject.connectSlotsByName(Window)

    def retranslateUi(self, Window):
        _translate = QtCore.QCoreApplication.translate
        Window.setWindowTitle(_translate("Window", "EnPEn - Flux & Concetration over time"))
        self.max_label.setText(_translate("Window", "Maximum"))
        self.conc_capt.setText(_translate("Window", "Species concentration:"))
        self.flux_capt.setText(_translate("Window", "Species Flux:"))
        self.label.setText(_translate("Window", "Time step:"))
        self.set_btn.setText(_translate("Window", "Set"))
        self.min_label.setText(_translate("Window", "Minimum"))
